YepAPI
YouTube API

Channel Store

Get channel merchandise and store items.

POST/v1/youtube/channel-store
$0.01/call

Usage

const res = await fetch('https://api.yepapi.com/v1/youtube/channel-store', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ id: 'UCAuUUnT6oDeKwE6v1NGQxug' }),
});
const { data } = await res.json();
console.log(data.data);
curl -X POST https://api.yepapi.com/v1/youtube/channel-store \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id": "UCAuUUnT6oDeKwE6v1NGQxug"}'

Request Body

ParameterTypeRequiredDescriptionDefault
idstringYesYouTube channel ID
geostringNoCountry code for geo-specific results
langstringNoLanguage code

Response

{
  "ok": true,
  "data": {
    "data": [
      {
        "title": "Official Merch",
        "price": "$24.99",
        "url": "https://store.example.com/item",
        "thumbnail": [
          { "url": "https://...", "width": 168, "height": 94 }
        ]
      }
    ]
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.dataobject[]Array of merchandise/store items
data.data[].titlestringProduct or merchandise name
data.data[].pricestringProduct price with currency symbol (e.g. $24.99)
data.data[].urlstringLink to the product page
data.data[].thumbnailobject[]Product images

On this page